const Sequelize = require("sequelize");
const db = require("../../db");

module.exports = db.sequelize.define("bookings", {
  id: {
    type: Sequelize.INTEGER,
    primaryKey: true,
    autoIncrement: true
  },
  name: {
    type: Sequelize.INTEGER,
    references: 'users',
    referencesKey: 'id'
  },
  shop: {
    type: Sequelize.INTEGER,
    references: 'shops',
    referencesKey: 'id'
  },
  list: {
    type: Sequelize.INTEGER,
    references: 'lists',
    referencesKey: 'id'
  },
  beautician:{
    type:Sequelize.INTEGER,
    references: 'users',
    referencesKey: 'id'
  },
  dete: {
    type: Sequelize.DATE
  },
  time: {
    type: Sequelize.TIME
  }
});
