const express = require("express");
const router = express.Router();

const authController = require("../../controllers/auth");

router.get("/get", (req, res) => {
  res.json({ test: "Test get" });
});

router.get("/getUserById/:id", authController.getUserById);

router.post("/register", authController.register);
router.post("/login", authController.login);


module.exports = router;
